diff shells/dash/dash-post.sh @ 531:16d26eee4b33

fonts: use new FHS
author David Demelier <markand@malikania.fr>
date Wed, 10 Apr 2019 20:12:00 +0200
parents 89ac6810e2ee
children 70e87450d08f
line wrap: on
line diff
--- a/shells/dash/dash-post.sh	Wed Apr 10 20:10:00 2019 +0200
+++ b/shells/dash/dash-post.sh	Wed Apr 10 20:12:00 2019 +0200
@@ -16,22 +16,22 @@
 #
 
 if [ "$1" = "install" ]; then
-	if ! grep -q "/usr/bin/dash" $DESTDIR/etc/shells >/dev/null 2>&1; then
-		echo "/usr/bin/dash" >> $DESTDIR/etc/shells
+	if ! grep -q "/bin/dash" $DESTDIR/etc/shells >/dev/null 2>&1; then
+		echo "/bin/dash" >> $DESTDIR/etc/shells
 	fi
 
 	#
 	# dash is the official default shell in Vanilla, but if the user has set
 	# something else, keep it.
 	#
-	if [ ! -e $DESTDIR/usr/bin/sh ]; then
-		ln -sf dash $DESTDIR/usr/bin/sh
+	if [ ! -e $DESTDIR/bin/sh ]; then
+		ln -sf dash $DESTDIR/bin/sh
 	fi
 elif [ "$1" = "uninstall" ]; then
-	sed -i -e '/\/usr\/bin\/dash/d' $DESTDIR/etc/shells
+	sed -i -e '/\/\/bin\/dash/d' $DESTDIR/etc/shells
 
 	# Remove deadlink to /bin/sh if dash was kept as default shell.
-	if [ $(readlink $DESTDIR/usr/bin/sh) = "dash" ]; then
-		rm -f $DESTDIR/usr/bin/sh
+	if [ $(readlink $DESTDIR/bin/sh) = "dash" ]; then
+		rm -f $DESTDIR/bin/sh
 	fi
 fi